<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:wwfiles="urn:WebWorks-Engine-Files-Schema"
                              xmlns:wwlog="urn:WebWorks-XSLT-Extension-Log"
                              xmlns:wwprojext="urn:WebWorks-XSLT-Extension-Project"
                              exclude-result-prefixes="xsl wwfiles wwlog wwprojext"
>
 <xsl:param name="GlobalInput" />
 <xsl:param name="GlobalPipelineName" />
 <xsl:param name="GlobalProject" />
 <xsl:param name="GlobalFiles" />
 <xsl:param name="ParameterDependsType" />
 <xsl:param name="ParameterType" />

 <xsl:output encoding="UTF-8" indent="yes" />
 <xsl:strip-space elements="*" />

 <xsl:template match="/">
  <wwfiles:Files version="1.0">

   <!-- "hello-message" FTI setting -->
   <xsl:variable name="VarMessage">
    <xsl:text>Here is the hello message: 
    </xsl:text>
    <xsl:value-of select="wwprojext:GetFormatSetting('Hello Message', '')" />
   </xsl:variable>

   <xsl:variable name="VarLogIt" select="wwlog:Warning($VarMessage)" />
  </wwfiles:Files>
 </xsl:template>
</xsl:stylesheet>
